Skip to content
Start here

Get Argo Smart Routing setting

client.Argo.SmartRouting.Get(ctx, query) (*SmartRoutingGetResponse, error)
GET/zones/{zone_id}/argo/smart_routing

Retrieves the value of Argo Smart Routing enablement setting.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings Read
ParametersExpand Collapse
query SmartRoutingGetParams
ZoneID param.Field[string]

Specifies the zone associated with the API call.

maxLength32
ReturnsExpand Collapse
type SmartRoutingGetResponse struct{…}
ID string

Specifies the identifier of the Argo Smart Routing setting.

Editable bool

Specifies if the setting is editable.

Value SmartRoutingGetResponseValue

Specifies the enablement value of Argo Smart Routing.

One of the following:
const SmartRoutingGetResponseValueOn SmartRoutingGetResponseValue = "on"
const SmartRoutingGetResponseValueOff SmartRoutingGetResponseValue = "off"
ModifiedOn Timeoptional

Specifies the time when the setting was last modified.

formatdate-time

Get Argo Smart Routing setting

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/argo"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  smartRouting, err := client.Argo.SmartRouting.Get(context.TODO(), argo.SmartRoutingGetParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", smartRouting.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}